Bug 1031503 - [Docs] [Admin] The add provider, edit provider and remove provider settings are undocumented
[Docs] [Admin] The add provider, edit provider and remove provider settings a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
All Linux
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Andrew Dahms
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 01:50 EST by Andrew Dahms
Modified: 2014-04-06 23:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Agent configuration tab. (22.03 KB, image/png)
2014-01-10 10:52 EST, Stephen Gordon
no flags Details

  None (edit)
Description Andrew Dahms 2013-11-18 01:50:58 EST
The process for removing an external provider is currently undocumented. The settings for the Add Provider and Edit Providers windows are also undocumented.
Comment 1 Andrew Dahms 2013-11-21 00:24:33 EST
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/Adding_a_Third_Party_Resource_Provider.html

What Changed
------------------------------
Six topics were created to outline the process of adding and removing external providers, and the settings windows for adding and editing providers.

1. Adding an External Provider      [ 23160 ]
2. Removing an External Provider    [ 25119 ]
3. Add Provider Settings - General  [ 23161 ]
4. Add Provider Settings - Agents   [ 25146 ]
5. Edit Provider Settings - General [ 25098 ]
6. Edit Provider Settings - Agents  [ 25147 ]

Updated revision history [ 21114-556398 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.3-en-US-3.3-26

Moving to ON_QA.

Comments
------------------------------
These topics correspond to the new features in ovirt for integration with OSN:

http://www.ovirt.org/Features/Detailed_OSN_Integration
Comment 4 Stephen Gordon 2014-01-10 10:42:57 EST
I ran into some issues following these instructions:

See Bug # 1051567 and Bug # 1051540

I also think more information about what you can actually *do* with each provider is probably warranted. This chapter guides you through adding providers but there's no linkage to anything describing what can/can't be achieved (particularly important as this is only the first implementation phase for these).

See slide 27 of this deck to get an idea of what I'm talking about:

    http://www.ovirt.org/images/1/13/Ovirt-2013-glance-integration-deep-dive.pdf

You would need to confirm these with Frederico and then find the same information for Neutron and Foreman.
Comment 5 Stephen Gordon 2014-01-10 10:47:44 EST
Andrew have you managed to set this up in a local environment? If not let me know and I can share mine so you can see what was required to get this working and/or take some screenshots.
Comment 6 Stephen Gordon 2014-01-10 10:51:25 EST
Additionally note that if adding a Neutron provider once you select the neutron plugin in use there is an entire "Agent Configuration" tab.

I would suggest contacting someone from the networking team for advice on how this should be filled in (I don't know).
Comment 7 Stephen Gordon 2014-01-10 10:52:11 EST
Created attachment 848264 [details]
Agent configuration tab.
Comment 8 Stephen Gordon 2014-01-10 10:54:23 EST
I think the issue in comment # 6 is I can't see these two in the document on the stage (maybe I'm blind :)):

4. Add Provider Settings - Agents   [ 25146 ]
6. Edit Provider Settings - Agents  [ 25147 ]
Comment 9 Andrew Dahms 2014-01-12 19:28:25 EST
Hi Stephen,

Thanks for your input - I will take a look over the section and incorporate the two new bugs you have raised in addition to the above. I should be able to test most of it in my local environment, but I will make sure to reach out to yourself if I run into any trouble.

In regards to the agent settings topics, you should be able to see them on docs-devel here:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Administration_Guide/index.html#Add_Provider_Agent_Configuration_Settings_Explained

Let me know if you have any more issues and I will see what I can do.
Comment 11 Alison Young 2014-03-26 17:16:49 EDT
Checked in: Red_Hat_Enterprise_Virtualization-Administration_Guide-3.3-en-US-3.3-50

VERIFIED, thanks Andrew.

Note You need to log in before you can comment on or make changes to this bug.